×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Regular Contributor
    Join Date
    Feb 2005
    Location
    Kista, Sweden
    Posts
    267

    Is it possible to use NokiaUI with CLD-1.0?

    I am going to release the next version of my appliation Astral effects. So far it uses CLD-2.0 and MIDP2.0. It would work on more models if it used CLD-1.0 and MIDP2.0.

    The ony NokiaUI method I use is fillArc. I have tried different "S60 Platform SDKs for Symbian OS, for Java" on

    http://forum.nokia.com/info/sw.nokia..._for_Java.html

    I have tried 3d edition FP1 and 2nd edition FP2, but they use CLD-2.0 and MIDP2.0. 1:st edition fp1 and 2nd edition fp1 are not possible to install for different reasons. So is there any way to use use NokiaUI with CLD-1.0?

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,556

    Re: Is it possible to use NokiaUI with CLD-1.0?

    You can use Nokia UI APIs only on devices that come with the Nokia UI APIs for Java built-in. The devices specs on http://forum.nokia.com/devices will tell it for each model.

    If the support isn't built-in, you as an application developer will not be able to add it yourself.

  3. #3
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Is it possible to use NokiaUI with CLD-1.0?

    In addition to what petrib answered, NokiaUI API is also available on Nokia phones which have only MIDP 1.0 implemented, as the reason to create Nokia UI API was the limited capabilities of MIDP 1.0 API
    see for example
    http://www.forum.nokia.com/devices/7650

    Also I think you have some terminology mixed up.
    What do you mean with CLD-2.0? CLDC 1.1?

    Hartti

  4. #4
    Regular Contributor
    Join Date
    Feb 2005
    Location
    Kista, Sweden
    Posts
    267

    Re: Is it possible to use NokiaUI with CLD-1.0?

    I use Netbeans for developing my mobile applications. I have different emulator platforms installed. After choosing the emulator platform (for instance s60 3d edition FP1 SDK from Nokia) there are these options:

    Device configuration: CLDC-1.0 or CLDC-1.1
    Device profile: MIDP-1.0 or MIDP-2.0

    I want to use the fillArc method in the NokiaUI library with device profile MIDP2.0 and device configuration CLDC-1.0 for my application. Is that possible and if so, how?

    It is not possible with the platform s60 3d edition FP1 SDK, because the only options to select are device configuration CLDC-1.1 and device profile: MIDP-2.0.

Similar Threads

  1. Replies: 2
    Last Post: 2008-04-03, 19:02
  2. nokiaUI sound problem with MIDP 1.0 on Ngage
    By iLya in forum Mobile Java General
    Replies: 1
    Last Post: 2005-07-05, 02:41
  3. Nokia手机主要参数列表
    By cqucyf in forum [Archived] Other Programming Discussion 关于其他编程技术的讨论
    Replies: 0
    Last Post: 2005-05-04, 16:34
  4. S90 MIDP SDK 1.0 Beta MMAPI Problem
    By kfalck in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2004-06-21, 19:44
  5. WMA 1.0, MIDP 1.0 Emulator
    By 0058974u in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2004-02-10, 20:46

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×